---
title: SVGAnimationElement.onbegin
slug: Web/API/SVGAnimationElement/onbegin
tags:
  - API
  - DOM
  - Experimental
  - NeedsExample
  - Property
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}{{SeeCompatTable}}</div>

<p>The <code><strong>SVGAnimationElement.onbegin</strong></code> property refers to the event handler for the <code><a href="/en-US/docs/Web/API/SVGAnimationElement/beginEvent_event">beginEvent</a></code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>beginEventHandler</var> = <var>someElement</var>.onbegin;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#__svg__SVGAnimationElement__onbegin", "SVGAnimationElement.onbegin")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimationElement.onbegin")}}</p>
